%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 		  Lounis ADOUANE                                            %%
%% 		  Polytech'Clermont-Ferrand                                 %%
%%        Dpartement Gnie Electrique (GE3)                        %%
%% 		  Novembre 2006                                             %%
%% 		  Simulation d'un robot de type SCARA 2D.                   %%
%%        TP Modlisation et Commande des Robots (AURO11)           %%
%%                                                                  %%
%%                                                                  %%
%% Fonction qui donne la trajectoire consigne  suivre par          %%
%% l'effecteur du robot dans le domaine oprationnel (i.e, en (X,Y))%%
%% NB : cette fonction est appele par le modle Simulink           %%
%% SimulinkControleRobotSCARA_SansMD.mdl via SimulationRobotSCARA.m %%
%%                                                                  %%
%% Dernire mise  jour : Novembre 2010                             %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function Consigne = TrajectoireConsigne(t)

global T
global xi yi xf yf %La position initiale (xi, yi) de l'effecteur et celle  atteindre (xf, yf)
global x2 y2

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Consigne(1)=xi+((xf-xi)/T)*t;
Consigne(2)=yi+((yf-yi)/T)*t;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

